Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLVolumeTextureMapper2D Class Reference

`#include <vtkOpenGLVolumeTextureMapper2D.h>`

Inheritance diagram for vtkOpenGLVolumeTextureMapper2D:

[legend]
Collaboration diagram for vtkOpenGLVolumeTextureMapper2D:

[legend]
List of all members.

## Detailed Description

Abstract class for a volume mapper.

Date:
  2002/08/22 18:39:31

Revision:
  1.18

vtkOpenGLVolumeTextureMapper2D renders a volume using 2D texture mapping.

See also:
  vtkVolumeMapper

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (84%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkOpenGLVolumeTextureMapper2D.h)`
  - .`cxx` (`/Rendering/vtkOpenGLVolumeTextureMapper2D.cxx)`

Definition at line 44 of file vtkOpenGLVolumeTextureMapper2D.h.

## Public Types
typedef vtkVolumeTextureMapper2D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Render (vtkRenderer *ren, vtkVolume *vol)
void | RenderQuads (int count, float *v, float *t, unsigned char *texture, int size[2], int reverseFlag)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkOpenGLVolumeTextureMapper2D * | SafeDownCast (vtkObject *o)
vtkOpenGLVolumeTextureMapper2D * | New ()
## Protected Methods
| vtkOpenGLVolumeTextureMapper2D ()
| ~vtkOpenGLVolumeTextureMapper2D ()

## Member Typedef Documentation

typedef vtkVolumeTextureMapper2D vtkOpenGLVolumeTextureMapper2D::Superclass

| Reimplemented from vtkVolumeTextureMapper2D. Definition at line 47 of file vtkOpenGLVolumeTextureMapper2D.h.

## Constructor & Destructor Documentation

vtkOpenGLVolumeTextureMapper2D::vtkOpenGLVolumeTextureMapper2D | ( |  | ) | `[protected]`

vtkOpenGLVolumeTextureMapper2D::~vtkOpenGLVolumeTextureMapper2D | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkOpenGLVolumeTextureMapper2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeTextureMapper2D.

int vtkOpenGLVolumeTextureMapper2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeTextureMapper2D.

virtual int vtkOpenGLVolumeTextureMapper2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeTextureMapper2D.

vtkOpenGLVolumeTextureMapper2D* vtkOpenGLVolumeTextureMapper2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeTextureMapper2D.

void vtkOpenGLVolumeTextureMapper2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeTextureMapper2D.

vtkOpenGLVolumeTextureMapper2D* vtkOpenGLVolumeTextureMapper2D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkVolumeTextureMapper2D.

virtual void vtkOpenGLVolumeTextureMapper2D::Render | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol
| ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Render the volume Reimplemented from vtkVolumeTextureMapper2D.

void vtkOpenGLVolumeTextureMapper2D::RenderQuads | ( | int | count,
|  | float * | v,
|  | float * | t,
|  | unsigned char * | texture,
|  | int | size[2],
|  | int | reverseFlag
| ) |

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLVolumeTextureMapper2D.h